<?php
/**
 * Joomla! 1.6 module mod_dosebo_courses
 * @author Docebo
 * @package Joomla
 * @subpackage Dosebo_courses
 * @license GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;


?>
<?php
$detail = modDosebo_userloginHelper::getDetail();
//print_r($detail);

$logo = $detail['logo'];
$use_logo = $detail['use_logo'];
$intro_text = $detail['intro_text'];
$box_width = $detail['box_width'];
$box_height = $detail['box_height'];

$login_button_text = $detail['login_button_text'];
$button_position = $detail['button_position'];
$text_color = $detail['text_color'];
$border_color = $detail['border_color'];
$background_color = $detail['background_color'];
$use_box_shadow = $detail['use_box_shadow'];
$button_border_color = $detail['button_border_color'];
$button_text_color = $detail['button_text_color'];
$button_background_color = $detail['button_background_color'];


if ($box_width == "" || $box_width == 0)
	$box_width = 300;
if ($box_height == "" || $box_height == 0)
	$box_height = 128;

$inputbox_width = $box_width - 20;
if ($login_button_text == "")
	$login_button_text = "Log In";

if ($text_color == "")
	$text_color = "#333333";

if ($border_color == "")
	$border_color = "#007777";

if ($background_color == "")
	$background_color = "#E8E8E8";
//print_r($this->items);

if ($button_border_color == "")
	$button_border_color = "#000000";

if ($button_text_color == "")
	$button_text_color = "#ffffff";

if ($button_background_color == "")
	$button_background_color = "#999999";



?>

<form target="_blank" action="" method="post" id="dosebo_login-form">
	<div style="width:<?php echo $box_width; ?>px;">
		<div class="userdata"
		     style="padding:10px;font-size:12px; width:<?php echo $box_width; ?>px; height:<?php echo $box_height; ?>px;background:<?php echo $background_color; ?>; <?php if ($use_box_shadow == 'No') { ?> box-shadow: 0 0 8px #999999; <?php } ?>">

			<?php if ($use_logo == 0 && $logo != "") { ?>
				<div><img
						src="<?php echo JURI::root(); ?>/administrator/components/com_docebo/images/<?php echo $logo; ?>"
						border="0"/></div>
			<?php } ?>

			<div style="clear:both"></div>

			<?php if ($intro_text != "") { ?>
				<br/>
				<span
					style="width:<?php echo $box_width; ?>px; float:left; text-align:center;color:<?php echo $text_color; ?>;"><?php echo $intro_text; ?></span>
			<?php } ?>
			<div style="clear:both"></div>

			<span style="float:left;color:<?php echo $text_color; ?>;"><?php echo JText::_('COM_DOCEBO_USERNAME')?></span>

			<input id="modlgn-username" type="text" name="login_user" class="inputbox"
			       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

			<div style="clear:both"></div>

			<span style="padding-right:10px;float:left;color:<?php echo $text_color; ?>;"><?php echo JText::_('COM_DOCEBO_PASSWORD')?></span>

			<input id="modlgn-passwd" type="password" name="password" class="inputbox"
			       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

			<div style="clear:both"></div>


			<input type="hidden" value="ukyxW8yWDlka#1juGkzC82ZWjKqSol_Aj28H" name="docebo_secret">

			<div align="<?php echo $button_position; ?>"
			     class="<?php echo $button_position == 'Right' ? 'login-button-padding' : ''; ?>">
				<input type="submit" name="Submit" class="button" value="<?php echo $login_button_text; ?>"
				       style="float: none;font-size: 12px;background-color:<?php echo $button_background_color; ?>; border:1px solid <?php echo $button_border_color; ?>; color:<?php echo $button_text_color; ?>; padding-top:2px; padding-bottom:2px; cursor:pointer; background-image:none;"/>
			</div>

			<?php echo JHtml::_('form.token'); ?>
			<div style="clear:both"></div>
		</div>
	</div>
</form>

